<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<language>
	<name>ab</name>
	<syntax>
		<commentSingle>&apos;</commentSingle>
		<commentMulti>
			<begin>/*</begin>
			<end>*/</end>
		</commentMulti>
		<quoteMarks>
			<item>&quot;</item>
		</quoteMarks>
		<reservedSimpleKeywords>
			<item>As</item>
			<item>Boolean</item>
			<item>ByRef</item>
			<item>ByVal</item>
			<item>Byte</item>
			<item>Catch</item>
			<item>Case</item>
			<item>Char</item>
			<item>Continue</item>
			<item>Delegate</item>
			<item>Delete</item>
			<item>Double</item>
			<item>DWord</item>
			<item>Else</item>
			<item>ElseIf</item>
			<item>End</item>
			<item>EndIf</item>
			<item>EndFunction</item>
			<item>EndSub</item>
			<item>EndType</item>
			<item>EndSelect</item>
			<item>EndWith</item>
			<item>Exit</item>
			<item>ExitDo</item>
			<item>ExitFor</item>
			<item>ExitFunction</item>
			<item>ExitSub</item>
			<item>ExitWhile</item>
			<item>Export</item>
			<item>False</item>
			<item>Finally</item>
			<item>In</item>
			<item>Int64</item>
			<item>Integer</item>
			<item>Long</item>
			<item>Nothing</item>
			<item>Object</item>
			<item>Operator</item>
			<item>Private</item>
			<item>Protected</item>
			<item>Public</item>
			<item>QWord</item>
			<item>SByte</item>
			<item>Single</item>
			<item>Static</item>
			<item>Step</item>
			<item>String</item>
			<item>Super</item>
			<item>Then</item>
			<item>This</item>
			<item>To</item>
			<item>True</item>
			<item>Try</item>
			<item>Until</item>
			<item>Word</item>
			<item>#include</item>
			<item>#strict</item>
			<item>#console</item>
			<item>#prompt</item>
			<item>#N88BASIC</item>
			<item>#define</item>
			<item>#ifdef</item>
			<item>#ifndef</item>
			<item>#else</item>
			<item>#endif</item>
		</reservedSimpleKeywords>
		<reservedKeywordsWithQuickHelp>
			<item>
				<keyword>Abstract</keyword>
				<quickHelp>Abstract Sub/Function ([arglist]) [As type]]</quickHelp>
			</item>
			<item>
				<keyword>Class</keyword>
				<quickHelp>Class name</quickHelp>
			</item>
			<item>
				<keyword>Const</keyword>
				<quickHelp>Const constname = expression</quickHelp>
			</item>
			<item>
				<keyword>Debug</keyword>
				<quickHelp>Debug</quickHelp>
			</item>
			<item>
				<keyword>Declare</keyword>
				<quickHelp>Declare Sub/Function name Lib "libname" [Alias "aliasname"] ([arglist]) [As type]]</quickHelp>
			</item>
			<item>
				<keyword>Def</keyword>
				<quickHelp>Def func([parms] [,parms2]) = expression</quickHelp>
			</item>
			<item>
				<keyword>Dim</keyword>
				<quickHelp>Dim variable [= initValue] [As type]</quickHelp>
			</item>
			<item>
				<keyword>Do</keyword>
				<quickHelp>Do</quickHelp>
			</item>
			<item>
				<keyword>Enum</keyword>
				<quickHelp>Enum name</quickHelp>
			</item>
			<item>
				<keyword>For</keyword>
				<quickHelp>For variable=start To end [Step step]</quickHelp>
			</item>
			<item>
				<keyword>Function</keyword>
				<quickHelp>Function name ([arglist]) [As type]</quickHelp>
			</item>
			<item>
				<keyword>Foreach</keyword>
				<quickHelp>Foreach value In list</quickHelp>
			</item>
			<item>
				<keyword>GoSub</keyword>
				<quickHelp>GoSub label</quickHelp>
			</item>
			<item>
				<keyword>Goto</keyword>
				<quickHelp>Goto label</quickHelp>
			</item>
			<item>
				<keyword>If</keyword>
				<quickHelp>If expression Then truecommand [Else falsecommand]</quickHelp>
			</item>
			<item>
				<keyword>Imports</keyword>
				<quickHelp>Imports namespace</quickHelp>
			</item>
			<item>
				<keyword>Implements</keyword>
				<quickHelp>Inherits InterfaceName</quickHelp>
			</item>
			<item>
				<keyword>Inherits</keyword>
				<quickHelp>Inherits ClassName</quickHelp>
			</item>
			<item>
				<keyword>Interface</keyword>
				<quickHelp>Interface name</quickHelp>
			</item>
			<item>
				<keyword>Let</keyword>
				<quickHelp>[Let] variable = expression</quickHelp>
			</item>
			<item>
				<keyword>Loop</keyword>
				<quickHelp>Loop [while/until expression]</quickHelp>
			</item>
			<item>
				<keyword>Namespace</keyword>
				<quickHelp>Namespace name</quickHelp>
			</item>
			<item>
				<keyword>Next</keyword>
				<quickHelp>Next</quickHelp>
			</item>
			<item>
				<keyword>New</keyword>
				<quickHelp>New ClassName[(constructorParameters)]</quickHelp>
			</item>
			<item>
				<keyword>Override</keyword>
				<quickHelp>Override Sub/Function ([arglist]) [As type]]</quickHelp>
			</item>
			<item>
				<keyword>Rem</keyword>
				<quickHelp>Rem [comments]</quickHelp>
			</item>
			<item>
				<keyword>Return</keyword>
				<quickHelp>Return</quickHelp>
			</item>
			<item>
				<keyword>Select</keyword>
				<quickHelp>Select Case expression</quickHelp>
			</item>
			<item>
				<keyword>Sub</keyword>
				<quickHelp>Sub name ([arglist])</quickHelp>
			</item>
			<item>
				<keyword>Throw</keyword>
				<quickHelp>Throw exceptionObject</quickHelp>
			</item>
			<item>
				<keyword>Type</keyword>
				<quickHelp>Type name</quickHelp>
			</item>
			<item>
				<keyword>TypeDef</keyword>
				<quickHelp>TypeDef newtype = basetype</quickHelp>
			</item>
			<item>
				<keyword>Virtual</keyword>
				<quickHelp>Virtual Sub/Function ([arglist]) [As type]]</quickHelp>
			</item>
			<item>
				<keyword>Wend</keyword>
				<quickHelp>Wend</quickHelp>
			</item>
			<item>
				<keyword>While</keyword>
				<quickHelp>While expression</quickHelp>
			</item>
			<item>
				<keyword>With</keyword>
				<quickHelp>With object</quickHelp>
			</item>
		</reservedKeywordsWithQuickHelp>
	</syntax>
</language>


